PowerPoint3ParserInternal::SlideFormat Struct Reference

Internal: the third zone defining a slide of a PowerPoint3Parser. More...

## Public Member Functions

| SlideFormat ()
| constructor

## Public Attributes

MWAWVec2i | m_margins
| the left/right and top/bottom margins
int | m_gradientOffset
| the color gradient offset: -10 means black, 10 means white
MWAWVec2i | m_shadowOffset
| the shadow offset

## Detailed Description

Internal: the third zone defining a slide of a PowerPoint3Parser.

## Constructor & Destructor Documentation

## SlideFormat()

PowerPoint3ParserInternal::SlideFormat::SlideFormat | ( |  | ) |

inline

constructor

## Member Data Documentation

## m_gradientOffset

int PowerPoint3ParserInternal::SlideFormat::m_gradientOffset

the color gradient offset: -10 means black, 10 means white

Referenced by PowerPoint3Parser::readFramesList(), PowerPoint3Parser::readSlideFormats(), and SlideFormat().

## m_margins

MWAWVec2i PowerPoint3ParserInternal::SlideFormat::m_margins

the left/right and top/bottom margins

Referenced by PowerPoint3Parser::readSlideFormats(), and SlideFormat().

## m_shadowOffset

MWAWVec2i PowerPoint3ParserInternal::SlideFormat::m_shadowOffset

the shadow offset

Referenced by PowerPoint3Parser::readSlideFormats(), and SlideFormat().

The documentation for this struct was generated from the following file:

- PowerPoint3Parser.cxx